/*
 Theme Name:   HDB Service Recognition Awards 2026
 Description:  Twenty Twenty Five Child Theme. Custom overwrite.
 Author:       W.A.I. Development Team
 Author URI:   https://www.wdotadoti.com
 Template:     twentytwentyfive
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         sra2026, child
 Text Domain:  twentytwentyfive-child
*/
@font-face {
    font-family: AlexBrushRegular;
    font-weight: 400;
    src: url("assets/fonts/AlexBrush-Regular.ttf");
}
@font-face {
    font-family: Lato;
    font-weight: 400;
    src: url("assets/fonts/Lato-Regular.ttf");
}
@font-face {
    font-family: Lato;
    font-weight: 700;
    src: url("assets/fonts/Lato-Bold.ttf");
}
@font-face {
    font-family: Lato;
    font-weight: 900;
    src: url("assets/fonts/Lato-Black.ttf");
}

:root{
    --sra2026-color-white: #fff;
    --sra2026-color-black: #000;
    --sra2026-color-darkgrey: #4d4d4d;
    --sra2026-color-lightgrey: #ccc;
    --sra2026-color-maroon: #5E0B0B;
    --sra2026-color-yellow: #FFD110;
    --sra2026-color-yellow-glow: #FFD300;
    --sra2026-font-size-h1: 3.5rem;
    --sra2026-font-size-h2: 3rem;
    --sra2026-font-size-h3: 2.5rem;
    --sra2026-font-size-h4: 2rem;
    --sra2026-font-size-h5: 1.5rem;
    --sra2026-font-size-h6: 1.25rem;
    --sra2026-font-size-p1: 1rem;
    --sra2026-section-max-width: 960px;
}

body{
    font-family: Arial, Helvetica, sans-serif;
}  

.wp-site-blocks{
    padding-top: 0;
    padding-bottom: 0;
}

.wp-site-blocks main{
    margin-block-start: 0;
    min-height: 100vh;
}

img{
    height: auto;
    max-width: 100%;
}

.bp-container{
    margin: 0 auto;
    position: relative;
}

.row{
    display: flex;
    flex-direction: column;
}
.row.is-vcentered{
    align-items: center;
}
.row.is-centered{
    justify-content: center;
}
.bp-section.has-menu .bp-container .row{
    padding: 0.75rem;
}

/**
 * Header
 */
header{
    background-color: var(--sra2026-color-maroon);
}
header .wp-block-navigation-item__label,
header .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content{
    font-family: Lato, Arial, Helvetica, sans-serif;
    font-weight: 700;
    text-transform: uppercase;
}
header .wp-block-navigation .wp-block-navigation__responsive-container:not(.has-modal-open) .wp-block-navigation-item__content.wp-block-navigation-item__content{
    color: var(--sra2026-color-white);
}
header .current-menu-item .wp-block-navigation-item__label,
header .wp-block-navigation .wp-block-navigation__responsive-container .current-menu-item .wp-block-navigation-item__content.wp-block-navigation-item__content{
    color: var(--sra2026-color-yellow);
}
header .wp-block-navigation-item__label:hover,
header .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:hover{
    color: var(--sra2026-color-yellow);
}

header .wp-block-navigation__responsive-container-open{
    color: var(--sra2026-color-white);
}

header .page-banner-container{
    background-image: url('assets/img/top-banner.png');
    background-position: center bottom;
    background-repeat: no-repeat;
    background-size: cover;
}
header .page-banner{
    padding: 1rem 0 7rem 0;
}
header .page-banner .logo-wrapper{
    margin-bottom: 2rem;
    text-align: center;
}
header .page-banner .logo-wrapper img{
    width: 250px;
}
header .event-name-wrapper{
    color: var(--sra2026-color-white);
    font-family: AlexBrushRegular, Arial, Helvetica, sans-serif;
    font-size: clamp( var(--sra2026-font-size-h3), 40vw, var(--sra2026-font-size-h1) );
    text-align: center; 
    text-shadow: 0.4px 0.4px 1px var(--sra2026-color-yellow-glow), -0.4px -0.4px 1px var(--sra2026-color-yellow-glow);  
}


/**
 * Logos
 */
.logo-container{
    align-items: flex-end;
    flex-direction: row;
    display: flex;
}
.logo-container .sub-heading{
    margin: 5px 0;
}

/**
 * Footer
 */
footer{
    background-color: var(--sra2026-color-maroon);
    background-image: url('assets/img/footer-banner.png');
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: contain;
}
footer p{
    color: var(--sra2026-color-white);
    font-family: Lato, Arial, Helvetica, sans-serif;
    font-weight: 700;
    font-size: 1rem;
    margin-top: 0;
    text-align: center;
}
footer .bp-container{
    padding-top: 10rem;
    padding-bottom: 0;
}

/**
 * Home
 **/
.page-home .wp-site-blocks{
    background-color: var(--sra2026-color-maroon);
    color: var(--sra2026-color-white);
    min-height: 100vh;
    overflow: hidden;
}
.page-home main{
    background-image: url('assets/img/top-banner.png');
    background-position: top center;
    background-repeat: no-repeat;
    background-size: contain;
}
.page-home main .row{
    min-height: 100vh;
}
.page-home .logo-wrapper{
    margin-bottom: 3rem;
    text-align: center;
}
.page-home .logo-wrapper img{
    width: 250px;
}

.page-home .event-name-wrapper{
    font-family: AlexBrushRegular, Arial, Helvetica, sans-serif;
    font-size: clamp( var(--sra2026-font-size-h3), 40vw, var(--sra2026-font-size-h1) );
    line-height: 1.1;
    text-align: center;
    text-shadow: 0.4px 0.4px 1px var(--sra2026-color-yellow-glow), -0.4px -0.4px 1px var(--sra2026-color-yellow-glow);
}

/**
 * Content
 **/
.page-header-section  .page-title{
    border-radius: 5rem;
    color: var(--sra2026-color-white);
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2rem;
    padding: 5px 15px;
    text-align: center;
}
.page-header-section .bp-container{
    padding: 1rem 0;
}

.rsvp-container{
    padding-top: 2rem;
}
.rsvp-container .page-title{
    font-weight: 700;
    text-align: center;
}
.rsvp-container .form-close{
    text-align: center;
}

.error404 h1{
    text-align: center;
}


@media all and (min-width: 576px){
    header .page-banner .title-wrapper{
        margin-top: 30vw;
    }
}
@media all and (min-width: 600px){

}
@media all and (min-width: 640px){
    header .page-banner .title-wrapper{
        font-size: 4rem;
    }

}
@media all and (min-width: 678px){
    header .page-banner .title-wrapper{
        margin-top: 40vw;
    }
}
@media all and (min-width: 910px){


    header .page-banner .title-wrapper{
        margin-top: 10vw;
    }


}

@media all and (min-width: 960px){
    .bp-container:not(.alignfull){
        width: 960px;
        max-width: 100%;
    }

    .row{
        column-gap: 1rem;
        flex-direction: row;
    }

    .col.is-1{
        width: calc(1/12 * 100%);
    }
    .col.is-2{
        width: calc(2/12 * 100%);
    }
    .col.is-3{
        width: calc(3/12 * 100%);
    }
    .col.is-4{
        width: 25%;
    }
    .col.is-half{
        width: 50%;
    }
    .col.is-8{
        width: calc(8/12 * 100%);
    }
    .col.is-9{
        width: 75%;
    }
    .col.is-full{
        width: 100%;
    }

}

@media all and (min-width: 1024px){

}

@media all and (min-width: 1440px){

}